QGIS desktop calls otbApplicationLauncherCommandLine during startup

2016-06-02 01:27 AM - Victor Poughon

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22898

Description

With QGIS 2.14 desktop on Windows, there is high CPU and memory usage from otbApplicationLauncherCommandLine.exe during QGIS

splash screen. It looks to be about 100% increase from QGIS load time due to OTB. See attached screenshot.

I could not reproduce with 2.8.1

We are also tracking it on OTB bug tracker: https://bugs.orfeo-toolbox.org/view.php?id=1226

History

#1 - 2016-06-14 10:43 PM - Jürgen Fischer

- Category set to 120

#2 - 2016-06-23 02:43 AM - Alexander Bruy

Seems this happens because Processing tries to detect OTB version by launching otbcli_Smoothing command. Detecting version is needed to determine

folder with algorithms descriptions.

#3 - 2016-06-23 03:02 AM - Victor Poughon

Alexander Bruy wrote:

Seems this happens because Processing tries to detect OTB version by launching otbcli_Smoothing command. Detecting version is needed to

determine folder with algorithms descriptions.

Could you point me to the processing/QGIS source file where that happens? I can take a look at it. It should be possible to get the version number without

using so much ram and time.

#4 - 2016-06-23 03:33 AM - Alexander Bruy

Here is where version detection started https://github.com/qgis/QGIS/blob/master/python/plugins/processing/algs/otb/OTBAlgorithmProvider.py#L61. And

here is code where OTB tool executed https://github.com/qgis/QGIS/blob/master/python/plugins/processing/algs/otb/OTBUtils.py#L123

#5 - 2017-02-08 03:00 AM - Alexander Bruy

- Status changed from Open to Closed

- Resolution set to fixed/implemented
Fixed in master (OTB provider is not separate plugin)

#6 - 2017-05-01 10:58 AM - Giovanni Manghi

- Regression? set to No

#7 - 2017-05-01 11:01 AM - Giovanni Manghi

- Easy fix? set to No

#8 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.

#9 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 120 to Processing/Core
